AnsweredAssumed Answered

printf in vdsp 5.0 update 6

Question asked by johan on Oct 27, 2009
Latest reply on Oct 27, 2009 by SFernandez

I have a program which runs fine using vdsp4.5 but fails when I tried to update to vdsp 5.0.

The problem is that printf generates a kernelpanic, with a kernel status error of kInvalidMutexID.

Is some kind of initialization of vdk needed before I can use printf? any specific services or

drivers that needs to be initialized?

Outcomes